API ReferencePlans
Create a test plan
Creates a deterministic test plan from explicit steps. Requires the autonomy:plans:write API key scope.
Creates a deterministic test plan from explicit steps. Requires the autonomy:plans:write API key scope.
Authorization
bearerAuth AuthorizationBearer <token>
Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/plans" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "steps": [ { "action": "click", "target": "Checkout button" } ] }'{
"testPlanId": "string",
"status": "created"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}